Function
em
Represents the EM algorithm as used by MEME.
em(profile,dataset_start,t,l,oops_model)
em(profile,dataset_start,t,l,gamma,zoops_model)
em(profile,dataset_start,t,l,lambda,tcm_model)
Include Headers
seqan/find_motif.h
Parameters

profile | A StringSet of frequency distributions. Types: StringSet
dataset_start | An iterator pointing to the first input sequence of a given dataset. Types: Iterator
t | The number of input sequences.
l | The size of the motif.
oops_model | The oops_model object. Types: Oops
zoops_model | The zoops_model object. Types: Zoops
tcm_model | The tcm_model object. Types: Tcm
gamma | The probability of sequence having a motif occurence.
lambda | The probability of starting a motif occurence Remarks: lambda is calculated by dividing gamma by the length of the corresponding sequence.

Remarks
This version of EM is used in the MEME program of Bailey and Elkan. It is a Bayesian variant of the basic EM which allows multiple occurrences of a motif in any sequence and can therefore be performed on sequences of one of the model types Oops, Zoops and Tcm. We use the EM algorithm of MEME for the refinement step of PROJECTION.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47